DELETE

Reset Email Settings Config

Due to SMTP updates, this API has been removed. A new API will be provided when available.

Use this API to reset the Email Settings Config.

Be careful, this operation is final and can’t be undone.

Resource URL

https://<subdomain>.onelogin.com/api/2/branding/email_settings

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using Manage All.

Reset Email Settings Event

When you reset the Email Settings config, it produces an Event in the OneLogin admin portal. To view the event, in the admin portal go to Activity > Events.

SMTP Event API settings in OneLogin admin

Sample Responses

{
   "message": "Settings Updated",
   "statusCode": 200,
   "name": "Success"
}

Typically, this error means that your Authorization header value is missing or incorrectly formatted.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Delete Email Settings Config

curl 'https://<subdomain>.onelogin.com/api/2/branding/email_settings' \
-X DELETE \
-H "Authorization: bearer <access_token>"